:root {
    --background: #17181b;
    --surface: #24262b;
    --surface-light: #30343b;
    --primary: #5ecf68;
    --primary-hover: #499450;
    --danger: #d95d5d;
    --danger-hover: #e67070;
    --text: #f5f5f5;
    --text-secondary: #b7bcc7;
    --shadow: rgba(0, 0, 0, 0.25);
    --border-radius: 16px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    background: var(--background);
    color: var(--text);
    font-family: Inter, Arial, sans-serif;
    line-height: 1.6;
}

header {
    position: sticky;
    top: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 10vw;
    background: #1d1f23;
    box-shadow: 0 5px 20px var(--shadow);
    z-index: 100;
}

header .logo {
    font-size: 28px;
    font-weight: bold;
}

header nav {
    display: flex;
    gap: 30px;
}

header nav a {
    color: var(--text-secondary);
    text-decoration: none;
    transition: .2s;
}

header nav a:hover {
    color: white;
}

h1 {
    font-size: 48px;
    margin-left: 20px;
    margin-top: 20px;
    margin-bottom: 30px;
}

h2 {
    font-size: 36px;
    margin-left: 20px;
    margin-top: 20px;
    margin-bottom: 10px;
}

h3 {
    font-size: 24px;
    margin-left: 20px;
    margin-top: 10px;
    margin-bottom: 5px;
}

h4 {
    font-size: 16px;
    margin-left: 20px;
    margin-top: 5px;
    margin-bottom: 2px;
}

p {
    font-size: 14px;
    margin-left: 20px;
}

li {
    font-size: 14px;
    margin-left: 40px;
}

@media (max-width: 900px) {
    header {
        flex-direction: column;
        gap: 20px;
    }
    #hero h1 {
        font-size: 48px;
    }
    section {
        padding: 60px 8vw;
    }
    .cards {
        flex-direction: column;
        align-items: center;
    }
    .cards article {
        width: 100%;
    }
}